# Uses of Interface
org.springframework.expression.Expression

Packages that use Expression
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.common
Common utility classes behind the Spring Expression Language.
org.springframework.expression.spel.standard
SpEL's standard parser implementation.

## Uses of Expression in org.springframework.expression

Methods in org.springframework.expression that return Expression
Modifier and Type
Method
Description
`Expression`
ExpressionParser.`parseExpression(String expressionString)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.
`Expression`
ExpressionParser.`parseExpression(String expressionString, ParserContext context)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.

## Uses of Expression in org.springframework.expression.common

Classes in org.springframework.expression.common that implement Expression
Modifier and Type
Class
Description
`class`
`CompositeStringExpression`
Represents a template expression broken into pieces.
`class`
`LiteralExpression`
A very simple, hard-coded implementation of the `Expression` interface that represents a string literal.
Methods in org.springframework.expression.common that return Expression
Modifier and Type
Method
Description
`protected abstract Expression`
TemplateAwareExpressionParser.`doParseExpression(String expressionString, ParserContext context)`
Actually parse the expression string and return an Expression object.
`final Expression[]`
CompositeStringExpression.`getExpressions()`
`Expression`
TemplateAwareExpressionParser.`parseExpression(String expressionString)`
`Expression`
TemplateAwareExpressionParser.`parseExpression(String expressionString, ParserContext context)`
Constructors in org.springframework.expression.common with parameters of type Expression
Modifier
Constructor
Description
``
`CompositeStringExpression(String expressionString, Expression[] expressions)`

## Uses of Expression in org.springframework.expression.spel.standard

Classes in org.springframework.expression.spel.standard that implement Expression
Modifier and Type
Class
Description
`class`
`SpelExpression`
A `SpelExpression` represents a parsed (valid) expression that is ready to be evaluated in a specified context.
Methods in org.springframework.expression.spel.standard with parameters of type Expression
Modifier and Type
Method
Description
`static boolean`
SpelCompiler.`compile(Expression expression)`
Request that an attempt is made to compile the specified expression.
`static void`
SpelCompiler.`revertToInterpreted(Expression expression)`
Request to revert to the interpreter for expression evaluation.